Subject: [Bug 210911] New: error: implicit declaration of function 'cleanup_cpu_mmu_context' [-Werror=implicit-function-declaration]

From: [email-masked]
Date: Sat, 26 Dec 2020 18:02:54 +0000

https://bugzilla.kernel.org/show_bug.cgi?id=210911

            Bug ID: 210911
           Summary: error: implicit declaration of function
                    'cleanup_cpu_mmu_context'
                    [-Werror=implicit-function-declaration]
           Product: Platform Specific/Hardware
           Version: 2.5
    Kernel Version: 5.10.3
          Hardware: All
                OS: Linux
              Tree: Mainline
            Status: NEW
          Severity: normal
          Priority: P1
         Component: PPC-32
          Assignee: [email-masked]
          Reporter: [email-masked]
        Regression: No

Created attachment 294347
  --> https://bugzilla.kernel.org/attachment.cgi?id=294347&action=edit
Kernel config file

This began to appear starting with 5.10 and continues with 5.10.3. I had no
problems with the 5.9 series. I am building it with GCC 10.2. I have also tried
going back to 9.3 but that makes no difference.

arch/powerpc/platforms/powermac/smp.c: In function 'smp_core99_cpu_disable':
arch/powerpc/platforms/powermac/smp.c:914:2: error: implicit declaration of
function 'cleanup_cpu_mmu_context' [-Werror=implicit-function-declaration]
  914 |  cleanup_cpu_mmu_context();
      |  ^~~~~~~~~~~~~~~~~~~~~~~
cc1: some warnings being treated as errors
scripts/Makefile.build:279: recipe for target
'arch/powerpc/platforms/powermac/smp.o' failed
make[3]: *** [arch/powerpc/platforms/powermac/smp.o] Error 1
scripts/Makefile.build:496: recipe for target 'arch/powerpc/platforms/powermac'
failed
make[2]: *** [arch/powerpc/platforms/powermac] Error 2
scripts/Makefile.build:496: recipe for target 'arch/powerpc/platforms' failed
make[1]: *** [arch/powerpc/platforms] Error 2
Makefile:1805: recipe for target 'arch/powerpc' failed
make: *** [arch/powerpc] Error 2

-- 
You may reply to this email to add a comment.

You are receiving this mail because:
You are watching the assignee of the bug.